#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.12.0.0
visibility:           public
id:                   persistent-test-2.12.0.0-J4e4fZN7JjI6Lcmef1HpG2
key:                  persistent-test-2.12.0.0-J4e4fZN7JjI6Lcmef1HpG2
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  3a2aac375866c9a46965ddcac30fc904
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-8.10.4/site-local/persistent-test-2.12.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/persistent-test-2.12.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/persistent-test-2.12.0.0
hs-libraries:         HSpersistent-test-2.12.0.0-J4e4fZN7JjI6Lcmef1HpG2
depends:
    HUnit-1.6.2.0-6Qz5k8URKehKv59h9ZmD3M
    QuickCheck-2.14.2-iylmRy9CGA787SUAAP3Uz
    aeson-1.5.6.0-Er8hVcKeB6UIjaphu3gpm9 base-4.14.1.0
    blaze-html-0.9.1.2-KbMNyTzdb61IcxgLdyooQ8 bytestring-0.10.12.0
    conduit-1.3.4.1-LfHDYs4bYclAqHNTbiVQUG containers-0.6.2.1
    exceptions-0.10.4 hspec-2.8.0-BKjLuxrrxr8C7gZIHWOSMQ
    hspec-expectations-0.8.2-4T2sv1DBBhWKyVScectlCn
    monad-control-1.0.2.3-IczDUjn5ga7EEB9AXJfTvS
    monad-logger-0.3.36-9srGTnbKCKIL7sVtd8XSrz mtl-2.2.2
    path-pieces-0.2.1-8q2eB6sQVysEcd9HpZsL9B
    persistent-2.12.1.1-IlUbpn39b6hIgSfkLJbMtI
    quickcheck-instances-0.3.25.2-JU9vsJIxlVL8qrIVYZmjvA
    random-1.2.0-8VrdPKsEdxp4Gkle5dfjEJ
    resourcet-1.2.4.2-3jAx8AHlhhkNlNP8Id6k7 text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-HWHTzskA47k7QN2DFw5Ovz
    unliftio-0.2.15-G7yPp27SESfHtZ1sAnxEoP
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-4AoMTstniRpGNa4LW5BINH

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

